summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2017-03-19 12:17:06 +0100
committerDavid Kalnischkies <david@kalnischkies.de>2017-06-26 23:31:15 +0200
commit5f930f65438b30a87e0c8a47150dd0dbf414750e (patch)
tree6181e62392f70370736b8dbb71e0e68f637580cf
parent3243dc51579f42971b8c5a7a123a77352aecc6f7 (diff)
Add a few more Auto-Detect-Proxy tests
Gbp-Dch: Ignore
-rwxr-xr-xtest/integration/test-apt-helper15
-rwxr-xr-xtest/integration/test-bug-717891-abolute-uris-for-proxies22
2 files changed, 31 insertions, 6 deletions
diff --git a/test/integration/test-apt-helper b/test/integration/test-apt-helper
index 5e4a96fbd..a936243ec 100755
--- a/test/integration/test-apt-helper
+++ b/test/integration/test-apt-helper
@@ -79,11 +79,11 @@ setupproxydetect() {
echo "$@"
} > "${TMPWORKINGDIRECTORY}/apt-proxy-detect"
chmod 755 "${TMPWORKINGDIRECTORY}/apt-proxy-detect"
- echo "Acquire::${METH}::Proxy-Auto-Detect \"${TMPWORKINGDIRECTORY}/apt-proxy-detect\";" > rootdir/etc/apt/apt.conf.d/02proxy-detect
+ echo "Acquire::${METH}::${CONFNAME} \"${TMPWORKINGDIRECTORY}/apt-proxy-detect\";" > rootdir/etc/apt/apt.conf.d/02proxy-detect
}
test_apt_helper_detect_proxy() {
- msgmsg 'apt-helper auto-detect-proxy' 'no proxy'
+ msgmsg "apt-helper $CONFNAME" 'no proxy'
testsuccessequal "Using proxy '' for URL 'http://example.com/'" apthelper auto-detect-proxy http://example.com/
setupproxydetect 'http' 'exit 0'
testsuccessequal "Using proxy '' for URL 'http://example.com/'" apthelper auto-detect-proxy http://example.com/
@@ -95,18 +95,23 @@ W: ProxyAutoDetect command returned an empty line" apthelper auto-detect-proxy h
setupproxydetect 'http' 'echo DIRECT'
testsuccessequal "Using proxy 'DIRECT' for URL 'http://example.com/'" apthelper auto-detect-proxy http://example.com/
- msgmsg 'apt-helper auto-detect-proxy' 'http proxy'
+ msgmsg "apt-helper $CONFNAME" 'http proxy'
setupproxydetect 'http' 'echo "http://some-proxy"'
testsuccessequal "Using proxy 'http://some-proxy' for URL 'http://www.example.com/'" apthelper auto-detect-proxy http://www.example.com
+ testsuccessequal "Using proxy '' for URL 'https://ssl.example.com/'" apthelper auto-detect-proxy https://ssl.example.com
- msgmsg 'apt-helper auto-detect-proxy' 'https proxy'
+ msgmsg "apt-helper $CONFNAME" 'https proxy'
setupproxydetect 'https' 'echo "https://https-proxy"'
+ testsuccessequal "Using proxy '' for URL 'http://no-ssl.example.com/'" apthelper auto-detect-proxy http://no-ssl.example.com
testsuccessequal "Using proxy 'https://https-proxy' for URL 'https://ssl.example.com/'" apthelper auto-detect-proxy https://ssl.example.com
+ rm -f rootdir/etc/apt/apt.conf.d/02proxy-detect "${TMPWORKINGDIRECTORY}/apt-proxy-detect"
}
test_apt_helper_download "http://localhost:${APTHTTPPORT}"
test_apt_helper_download "https://localhost:${APTHTTPSPORT}"
-test_apt_helper_detect_proxy
+for CONFNAME in 'ProxyAutoDetect' 'Proxy-Auto-Detect' ; do
+ test_apt_helper_detect_proxy
+done
msgmsg 'test various failure modes'
testfailureequal 'E: Invalid operation download' apthelper download
testfailureequal 'E: Must specify at least one pair url/filename' apthelper download-file
diff --git a/test/integration/test-bug-717891-abolute-uris-for-proxies b/test/integration/test-bug-717891-abolute-uris-for-proxies
index ed9b9a555..323322283 100755
--- a/test/integration/test-bug-717891-abolute-uris-for-proxies
+++ b/test/integration/test-bug-717891-abolute-uris-for-proxies
@@ -16,7 +16,7 @@ testfailure --nomsg aptget update --allow-insecure-repositories
echo "Acquire::http::Proxy \"http://localhost:${APTHTTPPORT}\";" > rootdir/etc/apt/apt.conf.d/99proxy
-msgtest 'Check that requests to proxies are' 'absolute uris'
+msgtest 'Check that requests to proxies are' 'absolute uris via config'
testsuccess --nomsg aptget update
testsuccessequal 'Reading package lists...
@@ -26,3 +26,23 @@ The following NEW packages will be installed:
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Inst unrelated (0.5~squeeze1 unstable [all])
Conf unrelated (0.5~squeeze1 unstable [all])' aptget install unrelated -s
+
+rm -f rootdir/etc/apt/apt.conf.d/99proxy
+echo "Acquire::http::Proxy-Auto-Detect \"${TMPWORKINGDIRECTORY}/apt-proxy-detect\";" > rootdir/etc/apt/apt.conf.d/02proxy-detect
+cat > "${TMPWORKINGDIRECTORY}/apt-proxy-detect" <<EOF
+#!/bin/sh
+set -e
+echo "http://localhost:${APTHTTPPORT}"
+EOF
+chmod 755 "${TMPWORKINGDIRECTORY}/apt-proxy-detect"
+
+msgtest 'Check that requests to proxies are' 'absolute uris via auto-detect'
+testsuccess aptget update -o Debug::Acquire::http=1
+
+testsuccessequal 'Reading package lists...
+Building dependency tree...
+The following NEW packages will be installed:
+ unrelated
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst unrelated (0.5~squeeze1 unstable [all])
+Conf unrelated (0.5~squeeze1 unstable [all])' aptget install unrelated -s